summaryrefslogtreecommitdiffstats
path: root/system/Eterm
diff options
context:
space:
mode:
Diffstat (limited to 'system/Eterm')
-rw-r--r--system/Eterm/Eterm.SlackBuild105
-rw-r--r--system/Eterm/Eterm.info8
-rw-r--r--system/Eterm/README9
-rw-r--r--system/Eterm/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/system/Eterm/Eterm.SlackBuild b/system/Eterm/Eterm.SlackBuild
new file mode 100644
index 0000000000..113a9c45e3
--- /dev/null
+++ b/system/Eterm/Eterm.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for Eterm
+
+# Copyright 2008 Robby Workman Northport, Alabama (USA)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=Eterm
+VERSION=0.9.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Parallel compilation support
+JOBS=${JOBS:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-strict-icccm \
+ --enable-etwin \
+ --enable-escreen-fx \
+ --enable-trans \
+ --enable-utmp \
+ --enable-auto-encoding \
+ --enable-multi-charset \
+ --enable-greek \
+ --enable-name-reporting-escapes \
+ --with-pty-group=tty \
+ --enable-static=no
+
+make -j${JOBS}
+make install DESTDIR=$PKG
+
+# Let's add a compatibility/sensible symlink
+( cd $PKG/usr/bin ; ln -s Eterm eterm )
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog LICENSE README ReleaseNotes* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/Eterm/Eterm.info b/system/Eterm/Eterm.info
new file mode 100644
index 0000000000..a243ade319
--- /dev/null
+++ b/system/Eterm/Eterm.info
@@ -0,0 +1,8 @@
+PRGNAM="Eterm"
+VERSION="0.9.4"
+HOMEPAGE="http://www.eterm.org"
+DOWNLOAD="http://www.eterm.org/download/Eterm-0.9.4.tar.gz"
+MD5SUM="b8869ee9c9b9516231af9eefa595cee3"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="David Somero"
diff --git a/system/Eterm/README b/system/Eterm/README
new file mode 100644
index 0000000000..b0d96b5d77
--- /dev/null
+++ b/system/Eterm/README
@@ -0,0 +1,9 @@
+Eterm is a color vt102 terminal emulator with enhanced graphical
+capabilities. Eterm is intended to be a replacement for xterm for
+Enlightenment window manager users, but it can also be used as a
+replacement for xterm by users without Enlightenment. Eterm supports
+various themes and is very configurable, in keeping with the
+philosophy of Enlightenment.
+
+This requires imlib2 and libast, both of which are available from
+SlackBuilds.org.
diff --git a/system/Eterm/slack-desc b/system/Eterm/slack-desc
new file mode 100644
index 0000000000..02b99a0fc8
--- /dev/null
+++ b/system/Eterm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+Eterm: Eterm (a color vt102 terminal emulator)
+Eterm:
+Eterm: Eterm is a color vt102 terminal emulator with enhanced graphical
+Eterm: capabilities. Eterm is intended to be a replacement for xterm for
+Eterm: Enlightenment window manager users, but it can also be used as a
+Eterm: replacement for xterm by users without Enlightenment. Eterm supports
+Eterm: various themes and is very configurable, in keeping with the
+Eterm: philosophy of Enlightenment.
+Eterm:
+Eterm:
+Eterm: